DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
POST/chatbot

Create a new chatbot

Create a new chatbot

GET/chatbot/{chatbotId}arrow_forward
upload
Request body
namerequired
string
The name of the chatbot
slugrequired
string
A URL-friendly slug for the chatbot (lowercase letters, numbers, and hyphens)
typerequired
string · chat | support
The type of chatbot
active
boolean
Whether the chatbot is active
domain
string (hostname)
The domain for the chatbot (must be unique). Required for chat chatbots.
brandingrequired
object
Style/branding config. Field set depends on chatbot type.
llmsrequired
object
LLM assignments per pipeline task
double_arrow
Returns 201
idrequired
string (uuid)
The generated UUID for the new chatbot
organizationIdrequired
string (uuid)
The UUID of the organization
namerequired
string
The name of the chatbot
slugrequired
string
The slug of the chatbot
typerequired
string
The type of chatbot
activerequired
boolean
Whether the chatbot is active
domain
string
The domain for the chatbot
createdAtrequired
string (date-time)
updatedAtrequired
string (date-time)
report
Errors
StatusDescription
400Default Response
401Default Response
409Default Response
500Default Response
north_east
Request
curl -X POST 'https://chat-api-dev.paicloud.ai//chatbot' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "name",
  "slug": "slug",
  "type": "chat",
  "active": true,
  "domain": "domain",
  "branding": {},
  "llms": {}
}'
south_west
Response
201 OK
application/json
{
  "id": "00000000-0000-0000-0000-000000000001",
  "organizationId": "00000000-0000-0000-0000-000000000001",
  "name": "name",
  "slug": "slug",
  "type": "type",
  "active": true,
  "domain": "domain",
  "createdAt": "2026-01-01T00: 00:00Z",
  "updatedAt": "2026-01-01T00: 00:00Z"
}